drop index if exists idx__address_addr_id;
drop index if exists idx__address_city_state;
drop index if exists idx__address_zip;
create unique index idx__address_addr_id on address (addr_id);
create index idx__address_city_state on address (upper(rtrim(city, E' \t\n\r')), upper(rtrim(state, E' \t\n\r')), id);
create index idx__address_zip on address (upper(rtrim(zip_code, E' \t\n\r')), id);
drop index if exists idx__book_book_id;
drop index if exists idx__book_author_id;
drop index if exists idx__book_isbn;
drop index if exists idx__book_pub_date;
drop index if exists idx__book_publisher;
create unique index idx__book_book_id on book (book_id);
create unique index idx__book_isbn on book (upper(rtrim(isbn, E' \t\n\r')));
create index idx__book_author_id on book (author_id, id);
create index idx__book_pub_date on book (pub_date, id);
create index idx__book_publisher on book (upper(rtrim(publisher, E' \t\n\r')), id);
drop index if exists idx__cs_test_idx_pos;
create unique index idx__cs_test_idx_pos on cs_test (pos);
drop index if exists idx__pers_addr_person;
drop index if exists idx__pers_addr_active;
drop index if exists idx__pers_addr_address;
drop index if exists idx__pers_addr_link_type;
create index idx__pers_addr_person on pers_addr (site_id, emp_num, id);
create index idx__pers_addr_active on pers_addr (active, id);
create index idx__pers_addr_address on pers_addr (addr_id, id);
create index idx__pers_addr_link_type on pers_addr (upper(rtrim(link_type, E' \t\n\r')), id);
drop index if exists idx__person_site_emp;
drop index if exists idx__person_emp_ssn;
drop index if exists idx__person_exten;
drop index if exists idx__person_hire_date;
drop index if exists idx__person_name;
drop index if exists idx__person_pay_type;
drop index if exists idx__person_phone;
drop index if exists idx__person_term_date;
create unique index idx__person_exten on person (upper(rtrim(extension, E' \t\n\r')));
create unique index idx__person_site_emp on person (site_id, emp_num);
create unique index idx__person_emp_ssn on person (upper(rtrim(ssn, E' \t\n\r')));
create index idx__person_hire_date on person (hire_date, id);
create index idx__person_name on person (upper(rtrim(last_name, E' \t\n\r')), upper(rtrim(first_name, E' \t\n\r')), upper(rtrim(middle_init, E' \t\n\r')), id);
create index idx__person_pay_type on person (upper(rtrim(pay_type, E' \t\n\r')), id);
create index idx__person_phone on person (upper(rtrim(area_code, E' \t\n\r')), upper(rtrim(phone_number, E' \t\n\r')), upper(rtrim(extension, E' \t\n\r')));
create index idx__person_term_date on person (term_date, id);
drop index if exists idx__simple_pi_number;
create unique index idx__simple_pi_number on simple (number);
drop index if exists idx__vehicle_pi_make_model;
drop index if exists idx__vehicle_si_vin;
create unique index idx__vehicle_si_vin on vehicle (upper(rtrim(vin_number, E' \t\n\r')));
create unique index idx__vehicle_pi_make_model on vehicle (upper(rtrim(make, E' \t\n\r')), upper(rtrim(model, E' \t\n\r')));
drop index if exists idx__vehicle_driver_pi_name;
drop index if exists idx__vehicle_driver_si_vin;
create unique index idx__vehicle_driver_pi_name on vehicle_driver (upper(rtrim(name, E' \t\n\r')));
create index idx__vehicle_driver_si_vin on vehicle_driver (upper(rtrim(vin_number, E' \t\n\r')), id);
drop index if exists idx__vehicle_owner_pi_name;
drop index if exists idx__vehicle_owner_si_vin;
create unique index idx__vehicle_owner_pi_name on vehicle_owner (upper(rtrim(name, E' \t\n\r')));
create unique index idx__vehicle_owner_si_vin on vehicle_owner (upper(rtrim(vin_number, E' \t\n\r')));
drop sequence if exists p2j_id_generator_sequence;
create sequence p2j_id_generator_sequence start 10000;
