
    create table address (
        id bigint not null,
        addr_id int not null,
        street varchar(8000),
        city varchar(8000),
        state varchar(8000),
        zip_code varchar(8000),
        addr_type varchar(8000),
        primary key (id)
    );

    create table book (
        id bigint not null,
        book_id int not null,
        book_title varchar(8000),
        publisher varchar(8000),
        isbn varchar(8000),
        on_hand_qty int,
        cost numeric(38,2),
        pub_date date,
        author_id int,
        sold_qty int,
        price numeric(38,2),
        primary key (id)
    );

    create table cs_test (
        id bigint not null,
        test varchar(8000),
        pos int,
        primary key (id)
    );

    create table cust (
        id bigint not null,
        p2j numeric(38,2),
        primary key (id)
    );

    create table customer (
        id bigint not null,
        unique2 int,
        customer int,
        description date,
        uniq bit,
        primary key (id)
    );

    create table p2j_test (
        id bigint not null,
        customer varchar(8000),
        description varchar(8000),
        unique1 int,
        p2j date,
        primary key (id)
    );

    create table pers_addr (
        id bigint not null,
        site_id int not null,
        emp_num int not null,
        addr_id int not null,
        link_type varchar(8000),
        active bit,
        primary key (id)
    );

    create table person (
        id bigint not null,
        site_id int not null,
        emp_num int not null,
        first_name varchar(8000),
        last_name varchar(8000),
        middle_init varchar(8000),
        ssn varchar(8000) not null,
        pay_type varchar(8000),
        hire_date date,
        term_date date,
        comments varchar(8000),
        area_code varchar(8000),
        phone_number varchar(8000),
        extension varchar(8000),
        primary key (id)
    );

    create table person__5 (
        parent__id bigint not null,
        schedule varchar(8000),
        hours int,
        list__index int not null,
        primary key (parent__id, list__index)
    );

    create table simple (
        id bigint not null,
        number int not null,
        description varchar(8000),
        primary key (id)
    );

    create table vehicle (
        id bigint not null,
        make varchar(8000) not null,
        model varchar(8000) not null,
        axles int,
        ext_color varchar(8000),
        vin_number varchar(8000) not null,
        primary key (id)
    );

    create table vehicle__10 (
        parent__id bigint not null,
        options varchar(8000),
        list__index int not null,
        primary key (parent__id, list__index)
    );

    create table vehicle_driver (
        id bigint not null,
        name varchar(8000) not null,
        age int,
        vin_number varchar(8000) not null,
        primary key (id)
    );

    create table vehicle_owner (
        id bigint not null,
        name varchar(8000) not null,
        vin_number varchar(8000) not null,
        price numeric(38,2),
        primary key (id)
    );

    create index person__5_fkey on person__5 (parent__id);

    alter table person__5 
        add constraint FK32DA98E05395E213 
        foreign key (parent__id) 
        references person;

    create index vehicle__10_fkey on vehicle__10 (parent__id);

    alter table vehicle__10 
        add constraint FKC9CB32BFB4620D8 
        foreign key (parent__id) 
        references vehicle;
alter table address add __city as upper(substring(city, 0, len(replace(replace(replace(city, CHAR(9), ' '), CHAR(10), ' '), CHAR(13), ' '))));
alter table address add __state as upper(substring(state, 0, len(replace(replace(replace(state, CHAR(9), ' '), CHAR(10), ' '), CHAR(13), ' '))));
alter table address add __zip_code as upper(substring(zip_code, 0, len(replace(replace(replace(zip_code, CHAR(9), ' '), CHAR(10), ' '), CHAR(13), ' '))));
alter table book add __publisher as upper(substring(publisher, 0, len(replace(replace(replace(publisher, CHAR(9), ' '), CHAR(10), ' '), CHAR(13), ' '))));
alter table book add __isbn as upper(substring(isbn, 0, len(replace(replace(replace(isbn, CHAR(9), ' '), CHAR(10), ' '), CHAR(13), ' '))));
alter table pers_addr add __link_type as upper(substring(link_type, 0, len(replace(replace(replace(link_type, CHAR(9), ' '), CHAR(10), ' '), CHAR(13), ' '))));
alter table person add __first_name as upper(substring(first_name, 0, len(replace(replace(replace(first_name, CHAR(9), ' '), CHAR(10), ' '), CHAR(13), ' '))));
alter table person add __last_name as upper(substring(last_name, 0, len(replace(replace(replace(last_name, CHAR(9), ' '), CHAR(10), ' '), CHAR(13), ' '))));
alter table person add __middle_init as upper(substring(middle_init, 0, len(replace(replace(replace(middle_init, CHAR(9), ' '), CHAR(10), ' '), CHAR(13), ' '))));
alter table person add __ssn as upper(substring(ssn, 0, len(replace(replace(replace(ssn, CHAR(9), ' '), CHAR(10), ' '), CHAR(13), ' '))));
alter table person add __pay_type as upper(substring(pay_type, 0, len(replace(replace(replace(pay_type, CHAR(9), ' '), CHAR(10), ' '), CHAR(13), ' '))));
alter table person add __area_code as upper(substring(area_code, 0, len(replace(replace(replace(area_code, CHAR(9), ' '), CHAR(10), ' '), CHAR(13), ' '))));
alter table person add __phone_number as upper(substring(phone_number, 0, len(replace(replace(replace(phone_number, CHAR(9), ' '), CHAR(10), ' '), CHAR(13), ' '))));
alter table person add __extension as upper(substring(extension, 0, len(replace(replace(replace(extension, CHAR(9), ' '), CHAR(10), ' '), CHAR(13), ' '))));
alter table vehicle add __make as upper(substring(make, 0, len(replace(replace(replace(make, CHAR(9), ' '), CHAR(10), ' '), CHAR(13), ' '))));
alter table vehicle add __model as upper(substring(model, 0, len(replace(replace(replace(model, CHAR(9), ' '), CHAR(10), ' '), CHAR(13), ' '))));
alter table vehicle add __vin_number as upper(substring(vin_number, 0, len(replace(replace(replace(vin_number, CHAR(9), ' '), CHAR(10), ' '), CHAR(13), ' '))));
alter table vehicle_driver add __name as upper(substring(name, 0, len(replace(replace(replace(name, CHAR(9), ' '), CHAR(10), ' '), CHAR(13), ' '))));
alter table vehicle_driver add __vin_number as upper(substring(vin_number, 0, len(replace(replace(replace(vin_number, CHAR(9), ' '), CHAR(10), ' '), CHAR(13), ' '))));
alter table vehicle_owner add __name as upper(substring(name, 0, len(replace(replace(replace(name, CHAR(9), ' '), CHAR(10), ' '), CHAR(13), ' '))));
alter table vehicle_owner add __vin_number as upper(substring(vin_number, 0, len(replace(replace(replace(vin_number, CHAR(9), ' '), CHAR(10), ' '), CHAR(13), ' '))));
